org.apache.ivy.osgi.updatesite

## Class UpdateSiteDescriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor
  - - org.apache.ivy.osgi.repo.EditableRepoDescriptor
    - - org.apache.ivy.osgi.updatesite.UpdateSiteDescriptor

    public class UpdateSiteDescriptor
    extends EditableRepoDescriptor

### Constructor Summary

Constructors
Constructor and Description
`UpdateSiteDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

### Method Summary

Methods
`void` `addFeature(EclipseFeature feature)`

### Methods inherited from class org.apache.ivy.osgi.repo.EditableRepoDescriptor

`addBundle, equals, findModule, findModules, getBaseUri, getCapabilities, getCapabilityValues, getLogLevel, getModules, hashCode, setLogLevel, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateSiteDescriptor

    public UpdateSiteDescriptor(java.net.URI baseUri,
                        ExecutionEnvironmentProfileProvider profileProvider)

### Method Detail

#### addFeature

    public void addFeature(EclipseFeature feature)